# Jigsaw
This simple jigsaw puzzle game is designed primarily for multi-touch devices.
To get started, choose a picture,
set the puzzle size, decide whether to enable rotations,
and generate the puzzle.
Have fun solving it!

The game is designed with a straightforward interface,
emphasizing ease of use.
Enjoy the game without interruptions,
free from ads and other annoyances.

The game is developed exclusively using GDScript within the Godot 4.4 engine.
A goal is to write the source code in such a way
that it can be easily understood and modified.
Feel free to explore the source code,
report bugs, and contribute to the project.

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
	 alt="Get it on F-Droid"
	 height="80">](https://f-droid.org/packages/io.gitlab.derjosef.jigsaw/)

## Build instructions
Get Godot 4.4 from your operating system's package manager,
download it from the official [website](https://godotengine.org/download),
or build it from the submodule at build_tools/godot.
Open the project in Godot
and either run it using the buttons in the top right corner
or export it by following the
[exporting guide](https://docs.godotengine.org/en/latest/tutorials/export/exporting_projects.html).

## License
Copyright (c) 2024-2025 Josef Ott

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <https://www.gnu.org/licenses/>.

## Godot
This project uses Godot Engine, released under the permissive MIT license.
For detailed license information, visit <https://godotengine.org/license>.
Check out the source code here: <https://github.com/godotengine/godot>.
Copyright (c) 2014-present Godot Engine contributors.
Copyright (c) 2007-2014 Juan Linietsky, Ariel Manzur.
